Bug 248081

Summary: multimedia/x264: Compatibility fix for gpac
Product: Ports & Packages Reporter: Thomas Zander <riggs>
Component: Individual Port(s)Assignee: Thomas Zander <riggs>
Status: Closed FIXED    
Severity: Affects Many People CC: koobs
Priority: --- Flags: koobs: maintainer-feedback+
riggs: merge-quarterly+
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://code.videolan.org/videolan/x264/-/merge_requests/29/diffs

Description Thomas Zander freebsd_committer 2020-07-18 20:56:37 UTC
After r542531, x264 needs this patch due to a function signature change in gpac 0.8 and later:

https://code.videolan.org/videolan/x264/-/merge_requests/29/diffs
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-19 03:16:25 UTC
Thanks Thomas

Approved to re-assign annd commit/merge if it passes QA
Comment 2 commit-hook freebsd_committer 2020-07-19 11:42:49 UTC
A commit references this bug:

Author: riggs
Date: Sun Jul 19 11:42:46 UTC 2020
New revision: 542565
URL: https://svnweb.freebsd.org/changeset/ports/542565

Log:
  Fix build with multimedia/gpac-libgpac 1.0.0

  PR:		248081
  Submitted by:	riggs
  Approved by:	koobs (maintainer)
  MFH:		2020Q3 (hat: ports-secteam)

Changes:
  head/multimedia/x264/files/patch-configure
  head/multimedia/x264/files/patch-output_mp4.c
Comment 3 Thomas Zander freebsd_committer 2020-07-19 11:43:48 UTC
Will push this to the Q3 branch when merging the other gpac related updates.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-07-19 12:45:15 UTC
<3 thank you Thomas!
Comment 5 commit-hook freebsd_committer 2020-09-27 13:10:51 UTC
A commit references this bug:

Author: riggs
Date: Sun Sep 27 13:10:30 UTC 2020
New revision: 550273
URL: https://svnweb.freebsd.org/changeset/ports/550273

Log:
  MFH: r542565

  Fix build with multimedia/gpac-libgpac 1.0.0

  PR:		248081
  Submitted by:	riggs
  Approved by:	koobs (maintainer)

  Approved by:	ports-secteam (build fix blanket)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/multimedia/x264/files/patch-configure
  branches/2020Q3/multimedia/x264/files/patch-output_mp4.c